Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.frameworks.errordisplay
Class ErrorDialog

    java.lang.Object
      org.eclipse.birt.core.ui.frameworks.errordisplay.ErrorDialog

    public class ErrorDialog

extends java.lang.Object

ErrorDialog

Field Summary
`static int` | `DEFAULT_HEIGHT`
`static int` | `DEFAULT_WIDTH`
`static int` | `MAX_HEIGHT`
`static int` | `MAX_TRACE_DEPTH`
`static java.lang.String` | `OPTION_ACCEPT`
`static java.lang.String` | `OPTION_CANCEL`

Constructor Summary
`ErrorDialog(Shell shellParent, java.lang.String sTitle, java.lang.String sMessage, java.lang.String[] sErrors, java.lang.String[] sFixes)`
`ErrorDialog(Shell shellParent, java.lang.String sTitle, java.lang.String sMessage, java.lang.Throwable t)`

Method Summary
`java.lang.String` | `getOption()`
`void` | `widgetDefaultSelected(SelectionEvent e)`
`void` | `widgetSelected(SelectionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_ACCEPT

    public static final java.lang.String OPTION_ACCEPT

See Also:
  Constant Field Values

### OPTION_CANCEL

    public static final java.lang.String OPTION_CANCEL

See Also:
  Constant Field Values

### MAX_TRACE_DEPTH

    public static final int MAX_TRACE_DEPTH

See Also:
  Constant Field Values

### DEFAULT_WIDTH

    public static final int DEFAULT_WIDTH

See Also:
  Constant Field Values

### DEFAULT_HEIGHT

    public static final int DEFAULT_HEIGHT

See Also:
  Constant Field Values

### MAX_HEIGHT

    public static final int MAX_HEIGHT

See Also:
  Constant Field Values

Constructor Detail

### ErrorDialog

    public ErrorDialog(Shell shellParent,
                       java.lang.String sTitle,
                       java.lang.String sMessage,
                       java.lang.String[] sErrors,
                       java.lang.String[] sFixes)

### ErrorDialog

    public ErrorDialog(Shell shellParent,
                       java.lang.String sTitle,
                       java.lang.String sMessage,
                       java.lang.Throwable t)

Method Detail

### getOption

    public java.lang.String getOption()

### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent e)

### widgetSelected

    public void widgetSelected(SelectionEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.